/**
 * 鼠标事件
 *
 * @author
 */
import { SMatrix } from "./SMatrix";

export class SMouseEvent {
    /** 事件类型 */
    type: string;
    /** x坐标 */
    x: number;
    /** y坐标 */
    y: number;
    /** 屏幕x坐标 */
    screenX: number;
    /** 屏幕y坐标 */
    screenY: number;
    /** 客户端x坐标 */
    clientX: number;
    /** 客户端Y坐标 */
    clientY: number;
    /** X轴偏移量 */
    offsetX: number;
    /** Y轴偏移量 */
    offsetY: number;
    /** 是否按下alt键 */
    altKey: boolean;
    /** 是否按下ctrl键 */
    ctrlKey: boolean;
    /** 是否按下shiftKey键 */
    shiftKey: boolean;
    /** 鼠标按键 */
    buttons: number;
    /** 变换矩阵 */
    matrix = new SMatrix();

    /**
     * 构造函数
     *
     * @param   event   系统鼠标事件
     */
    constructor(event: MouseEvent | SMouseEvent) {
        // let bbox = (this.type = event.type); //event.srcElement.getBoundingClientRect()
        this.type = event.type;
        this.screenX = event.screenX;
        this.screenY = event.screenY;
        this.clientX = event.clientX;
        this.clientY = event.clientY;
        this.offsetX = event.offsetX;
        this.offsetY = event.offsetY;
        this.altKey = event.altKey;
        this.ctrlKey = event.ctrlKey;
        this.shiftKey = event.shiftKey;
        this.buttons = event.buttons;
        if (event instanceof SMouseEvent) {
            this.x = event.x;
            this.y = event.y;
            this.matrix.m11 = event.matrix.m11;
            this.matrix.m12 = event.matrix.m12;
            this.matrix.m13 = event.matrix.m13;
            this.matrix.m14 = event.matrix.m14;
            this.matrix.m21 = event.matrix.m21;
            this.matrix.m22 = event.matrix.m22;
            this.matrix.m23 = event.matrix.m23;
            this.matrix.m24 = event.matrix.m24;
            this.matrix.m31 = event.matrix.m31;
            this.matrix.m32 = event.matrix.m32;
            this.matrix.m33 = event.matrix.m33;
            this.matrix.m34 = event.matrix.m34;
            this.matrix.m41 = event.matrix.m41;
            this.matrix.m42 = event.matrix.m42;
            this.matrix.m43 = event.matrix.m43;
            this.matrix.m44 = event.matrix.m44;
        } else {
            this.x = event.offsetX; // TODO: PLX  - bbox.left;
            this.y = event.offsetY; // TODO: PLX  - bbox.top;
        }
    } // Function constructor()
} // Class SMouseEvent
