/**
 * Undo命令
 *
 * @author  庞利祥(sybotan@126.com)
 */
export abstract class SUndoCommand {
    /** 命令名称    */
    abstract get command(): string;
    /** 命令描述    */
    desc: string = "undefined";

    /**
     * 构造函数
     *
     * @param   parent      指向父命令
     */
    protected constructor(parent: SUndoCommand | null = null) {} // Constructor

    /**
     * undo回调
     */
    abstract undo(): void;

    /**
     * redo回调
     */
    abstract redo(): void;

    /**
     * 合并命令
     *
     * @param   command     合并的命令
     * @return  成功能返回true，否则返回false
     */
    mergeWith(command: SUndoCommand): boolean {
        return false;
    } // Function mergeWith()

    /**
     * 命令ID。如果命令不能合并，则返回-1。如果支持合并则返回一个正整数。
     */
    id(): number {
        return -1;
    } // Function id()

    /**
     * 命令转为描述谢姐
     *
     * */
    toString(): string {
        return "";
    } // toString()
} // Class SUndoCommand
