/**
 * 字符串builder
 *
 * @author  庞利祥(sybotan@126.com)
 */
export class SStringBuilder {
    /** 字符串数组 */
    private _strArray = new Array<string>();

    /**
     * 构造函数
     *
     * @param   msg     初始字符串
     */
    constructor(msg?: string) {
        if (msg != undefined) {
            this.append(msg);
        }
    } // Constructor()

    /**
     * 追加字符串
     *
     * @param   msg     追加的字符串
     */
    append(msg: string): SStringBuilder {
        this._strArray.push(msg);
        return this;
    } // Function append()

    /**
     * 转换为字符串
     *
     * @param   gap     分隔符，默认换行(\n)
     */
    toString(gap: string = "\n"): string {
        return this._strArray.join(gap);
    } // Function toString()
} // Class SStringBuilder
