import { Legend } from "../../types/topology/Legend";
import { SGraphItem } from "@saga-web/graph/lib";
import { SPolygonItem } from "../SPolygonItem"; // 多边形item

/**
 * 图例节点Item(区域类型)
 *
 * * @author  张宇(taohuzy@163.com)
 */
export class SZoneLegendItem extends SPolygonItem {
    /** 图例节点对象数据 */
    data: Legend;

    /**
     * 构造函数
     *
     * @param parent    指向父对象
     * @param data      图例节点对象数据
     */
    constructor(parent: SGraphItem | null, data: Legend) {
        super(parent);
        this.data = data;
    }
} // Class SZoneLegendItem
