import { SParser } from "./SParser";
import { SZoneItem } from "../items/floor/ZoneItem";
import { Zone } from "../types/floor/Zone";

/**
 * 业务空间信息解析器
 *
 */
export class SZoneParser extends SParser {
    /** 业务空间list   */
    zoneList: SZoneItem[] = [];

    /**
     * 解析业务空间数据
     *
     * @param   data    业务空间数据
     * */
    parseData(data: Zone[]): void {
        if (data && data.length) {
            data.forEach((t): void => {
                this.addZone(t);
            });
        }
    } // Function parseData()

    /**
     * 添加业务空间至场景中
     *
     * @param   t   业务空间数据
     * */
    private addZone(t: Zone): void {
        let item = this.factory.createZone(t);
        this.zoneList.push(item);
    } // Function addZone()
} // class SZoneParser
