import { SColor } from "./SColor";

/**
 * 阴影
 *
 * @author  hoajianlong(1061851420@qq.com)
 */

export class SShadow {
    /** 阴影扩散距离  */
    shadowBlur: number = 0;
    /** 阴影颜色    */
    shadowColor: SColor | null = null;
    /** 阴影x轴偏移量 */
    shadowOffsetX: number = 0;
    /** 阴影y轴偏移量 */
    shadowOffsetY: number = 0;

    /**
     * 构造函数
     */
    constructor();

    /**
     * 构造函数
     *
     * @param   shadow  阴影画刷
     */
    constructor(shadow: SShadow);

    /**
     * 构造函数
     *
     * @param   blur    扩散距离
     * @param   color   颜色
     */
    constructor(blur: number, color: SColor);

    /**
     * 构造函数
     *
     * @param   blur    阴影|扩散距离
     * @param   color   阴影颜色
     * */
    constructor(blur?: number | SShadow, color?: SColor) {
        if (blur == undefined) {
            return;
        }
        if (blur instanceof SShadow) {
            this.shadowBlur = blur.shadowBlur;
            this.shadowColor = blur.shadowColor;
            this.shadowOffsetX = blur.shadowOffsetX;
            this.shadowOffsetY = blur.shadowOffsetY;
        } else {
            this.shadowBlur = blur;
            this.shadowColor = color || SColor.Black;
        }
    }
} // Class SShadow
