/**
 * 融合方式
 *
 * @author  郝建龙
 */
export enum SCompositeType {
    /** 显示源图像。忽略目标图像。   */
    Copy,
    /** 在源图像顶部显示目标图像。源图像之外的目标图像部分不会被显示。 */
    DestinationAtop,
    /** 在源图像中显示目标图像。只有源图像内的目标图像部分会被显示，源图像是透明的。  */
    DestinationIn,
    /** 在源图像外显示目标图像。只有源图像外的目标图像部分会被显示，源图像是透明的。  */
    DestinationOut,
    /** 在源图像上方显示目标图像。   */
    DestinationOver,
    /** 显示源图像 + 目标图像。   */
    Lighter,
    /** 在目标图像顶部显示源图像。源图像位于目标图像之外的部分是不可见的    */
    SourceAtop,
    /** 在目标图像中显示源图像。只有目标图像内的源图像部分会显示，目标图像是透明的。  */
    SourceIn,
    /** 在目标图像之外显示源图像。只会显示目标图像之外源图像部分，目标图像是透明的。  */
    SourceOut,
    /** 默认。在目标图像上显示源图像。 */
    SourceOver,
    /** 使用异或操作对源图像与目标图像进行组合。    */
    Xor
} // Enum SCompositeType
